/*
 Components and colours
 */

.navbar-black {
    background-color: black;
}

/* make it a logo and override hover effects for a element */
.navbar-logo {
    color: white !important;
    font-size: 2.1rem;
    text-decoration: none !important;
}

.btn-sign-in, .btn-outline-sign-in.active {
    color: #212529;
    background-color: #FFD700;
    border-color: #FFD700;
}

.btn-sign-in:hover, .btn-outline-sign-in.active:hover {
    color: #212529;
    background-color: #FFE600;
    border-color: #FFE600;
}

.btn-sign-in:focus {
    box-shadow: 0 0 0 0.2rem rgba(255, 230, 0, 0.4);
}

.btn-outline-sign-in {
    color: #6c757d;
    background-color: transparent;
    background-image: none;
    border-color: #6c757d;
}

.btn-outline-sign-in:hover {
    color: #5c6369;
    border-color: #5c6369;
}

.btn-outline-sign-in.focus {
    box-shadow: 0 0 0 0.2rem rgba(128, 128, 128, 0.4);
}

.btn-outline-sign-in.active.focus {
    box-shadow: 0 0 0 0.2rem rgba(255, 230, 0, 0.4);
}

.btn-outline-sign-in.is-invalid {
    border-color: red;
    box-shadow: 0 0 0 0.2rem rgba(255, 0, 0, 0.25);
}

.btn-outline-nav {
    color: #007bff;
    background-color: transparent;
    background-image: none;
    border-color: #007bff;
}

.btn-outline-nav:hover {
    color: #fff;
    background-color: #0056b3;
    border-color: #0056b3;
}

.bg-sign-in, .action-sign-in {
    background-color: #FFD700;
}

.btn-sign-out {
    color: #212529;
    background-color: #DA70D6;
    border-color: #DA70D6;
}

.btn-sign-out:hover {
    color: #212529;
    background-color: #EE82EE;
    border-color: #EE82EE;
}

.btn-sign-out:focus {
    box-shadow: 0 0 0 0.2rem rgba(238, 130, 238, 0.4);
}

.bg-sign-out, .action-sign-out {
    background-color: #DA70D6;
}

.bg-error, .action-error {
    background-color: red;
}

.bg-success, .action-success {
    background-color: green;
}

.panel {
    border-radius: 1rem;
    padding: 1rem;
    margin: 1rem auto 1rem auto;
}

.form-control::placeholder {
    color: #007bff;
    opacity: 0.4;
}

/*
 Text classes
 */

.text-decoration-none {
    text-decoration: none !important;
}

/*
 Layout
 */

/* defaults to bottom */
.table thead th {
    vertical-align: top;
}

/* to escape bottom footer */
main {
    margin-bottom: 150px;
}

body {
    font-family: Lato,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
}

.navbar-light .navbar-toggler-icon {
    width: 1.05em;
    height: 1.05em;
    margin-top: -2px;
}

/* absolute position of elements */
.right-0 {
    right: 0 !important;
}

.bottom-fix {
    position: fixed;
    bottom: 3.5rem;
}

.left-fix {
    position: fixed;
    left: 1rem;
}

.right-fix {
    position: fixed;
    right: 1rem;
}

.centre-fix {
    position: fixed;
    left: 50%;
    transform: translateX(-50%);
}

.z-index-top {
    position: relative;
    z-index: 99;
}

/* positioning */
.pl-6, .px-6 {
    padding-left: 3rem;
}

.pr-6, .px-6 {
    padding-right: 3rem;
}

.vh-100 {
    height: 100vh;
}

.vh-75 {
    height: 75vh;
}

.vh-50 {
    height: 50vh;
}

.vh-25 {
    height: 25vh;
}

.info-pic {
    text-align: center;
    margin-bottom: 1.5em;
}

.carousel-control-prev-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%212529' viewBox='0 0 8 8'%3E%3Cpath d='M5.25 0l-4 4 4 4 1.5-1.5-2.5-2.5 2.5-2.5-1.5-1.5z'/%3E%3C/svg%3E");
}

.bus-icon {
    display: inline-block;
    width: 1rem;
    height: 1rem;
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg width='1792' height='1792' fill='%23007bff' viewBox='0 0 1792 1792' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M512 1216q0-53-37.5-90.5t-90.5-37.5-90.5 37.5-37.5 90.5 37.5 90.5 90.5 37.5 90.5-37.5 37.5-90.5zm1024 0q0-53-37.5-90.5t-90.5-37.5-90.5 37.5-37.5 90.5 37.5 90.5 90.5 37.5 90.5-37.5 37.5-90.5zm-46-396l-72-384q-5-23-22.5-37.5t-40.5-14.5h-918q-23 0-40.5 14.5t-22.5 37.5l-72 384q-5 30 14 53t49 23h1062q30 0 49-23t14-53zm-226-612q0-20-14-34t-34-14h-640q-20 0-34 14t-14 34 14 34 34 14h640q20 0 34-14t14-34zm400 725v603h-128v128q0 53-37.5 90.5t-90.5 37.5-90.5-37.5-37.5-90.5v-128h-768v128q0 53-37.5 90.5t-90.5 37.5-90.5-37.5-37.5-90.5v-128h-128v-603q0-112 25-223l103-454q9-78 97.5-137t230-89 312.5-30 312.5 30 230 89 97.5 137l105 454q23 102 23 223z'/%3E%3C/svg%3E");
    background-size: 100% 100%;
}

.policy-list, .policy-list ol {
    counter-reset: item;
}
.policy-list li {
    display: block;
}
.policy-list li:before {
    content: counters(item, ".") ". ";
    counter-increment: item;
    font-weight: 700;
}

#signed-in-list a.active {
    font-weight: bold;
}

label small {
    font-size: 70%;
}

/* Mobile */
@media (max-width: 575.98px) {
    .display-4 {
        font-size: 2.5rem;
    }
}

/* tabs go to multiple lines -> convert to pills */
@media (max-width: 991.98px) {
    .nav-tabs .nav-link.active {
        border-color: rgb(222, 226, 230);
        border-radius: 4px;
    }
}

/* low contact modes */
[data-contact=off] .btn {
    display: none;
}
